SDL_DollarGestureEvent Struct Reference

Dollar Gesture Event (event.dgesture.*) More...

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
SDL_TouchID | touchId
SDL_GestureID | gestureId
Uint32 | numFingers
float | error
float | x
float | y

## Detailed Description

Dollar Gesture Event (event.dgesture.*)

Definition at line 444 of file SDL_events.h.

## Field Documentation

float SDL_DollarGestureEvent::error

Definition at line 451 of file SDL_events.h.

Referenced by loop().

SDL_GestureID SDL_DollarGestureEvent::gestureId

Definition at line 449 of file SDL_events.h.

Referenced by loop(), and SDLTest_PrintEvent().

Uint32 SDL_DollarGestureEvent::numFingers

Definition at line 450 of file SDL_events.h.

Uint32 SDL_DollarGestureEvent::timestamp

Definition at line 447 of file SDL_events.h.

SDL_TouchID SDL_DollarGestureEvent::touchId

The touch device id

Definition at line 448 of file SDL_events.h.

Uint32 SDL_DollarGestureEvent::type

SDL_DOLLARGESTURE or SDL_DOLLARRECORD

Definition at line 446 of file SDL_events.h.

float SDL_DollarGestureEvent::x

Normalized center of gesture

Definition at line 452 of file SDL_events.h.

float SDL_DollarGestureEvent::y

Normalized center of gesture

Definition at line 453 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- include/SDL_events.h